%bcond_without check

%global goipath         github.com/go-logfmt/logfmt
Version:                0.5.0

%gometa

%global common_description %{expand:
Package logfmt implements utilities to marshal and unmarshal data in the logfmt
format. It provides an API similar to encoding/json and encoding/xml.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Marshals and unmarshals logfmt messages

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.5.0-2
- Rebuilt for loongarch64

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-1
- initial build
